Page MenuHomePhabricator

Help panel: Design enhancement - increase help panel width on Desktop when the browser window is *wider* than 1366px
Closed, ResolvedPublic

Description

Broken out from T211633#4850597:
Proposed enhancement:
When users with a wide browser window (larger than 1366px) open the help panel, set the help panel width to be medium (approx. 1.5x width of the standard help panel) to take advantage of the extra space in the UI.

Event Timeline

RHo created this task.Jan 3 2019, 8:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 8:38 PM
RHo triaged this task as Lowest priority.Jan 4 2019, 6:26 PM

Change 482671 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Make panel wider for larger screens

https://gerrit.wikimedia.org/r/482671

Change 482671 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Make panel wider for larger screens

https://gerrit.wikimedia.org/r/482671

The Help panel will be correctly resized if the browser viewport >1366:

betalabs - the browser viewport 1699 - the Help panel is 500x335

testwiki (without the patch) - the browser viewport 1648 - the Help panel is 300x411

Note:
Once the larger Help panel was opened, resizing the browser window will not resize the Help panel back to 300x411. The resized page needs to be reloaded to make Help panel smaller.

The Help panel will be correctly resized if the browser viewport >1366:
betalabs - the browser viewport 1699 - the Help panel is 500x335


testwiki (without the patch) - the browser viewport 1648 - the Help panel is 300x411

Note:
Once the larger Help panel was opened, resizing the browser window will not resize the Help panel back to 300x411. The resized page needs to be reloaded to make Help panel smaller.

LGTM, and not resizing to the standard view after opening when the window was >1366px is fine.

MMiller_WMF closed this task as Resolved.Jan 15 2019, 12:12 AM
MMiller_WMF claimed this task.